(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.4' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     17655,        406]
NotebookOptionsPosition[     16903,        379]
NotebookOutlinePosition[     17248,        394]
CellTagsIndexPosition[     17205,        391]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Beatriz G\[OAcute]mez G\[OAcute]mez\nFormato matricial del Par de Lax  para \
la ecuaci\[OAcute]n KdV  ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "t"], TraditionalForm]]],
 "+\[CurlyEpsilon]u",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "x"], TraditionalForm]]],
 "+",
 Cell[BoxData[
  FormBox[
   SubscriptBox["u", "xxx"], TraditionalForm]]],
 "=0"
}], "Title",
 CellChangeTimes->{{3.685857508793666*^9, 3.68585752540724*^9}, {
  3.6858694907044206`*^9, 3.6858694951504207`*^9}, {3.6858695291896205`*^9, 
  3.6858695449456205`*^9}, {3.6858695941941814`*^9, 3.6858696359991813`*^9}, {
  3.6935542791770763`*^9, 3.6935542798790765`*^9}, {3.6935544507614765`*^9, 
  3.6935544509330764`*^9}, {3.6965937811390476`*^9, 3.6965938016845107`*^9}, {
  3.6972668762803*^9, 3.697266884331706*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "En", " ", "primer", " ", "lugar", " ", "escribimos", " ", "las", " ", 
   "matrices", " ", "X", " ", "y", " ", 
   RowBox[{"T", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6935537803202763`*^9, 3.6935537920358763`*^9}, {
  3.697174348490136*^9, 3.69717435020618*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"X", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Lambda]", "-", 
       RowBox[{
        RowBox[{"\[CurlyEpsilon]", "/", "6"}], "*", " ", 
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}]}]}], ",", "0"}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[CurlyEpsilon]", "/", "6"}], "*", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"u", "[", 
           RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}], ")"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], "\[Lambda]"}], "-", 
       RowBox[{
        RowBox[{"\[CurlyEpsilon]", "/", "3"}], "*", 
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}]}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], 
        RowBox[{"\[Lambda]", "^", "2"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Lambda]", "*", "\[CurlyEpsilon]"}], ")"}], "/", "3"}], 
        "*", 
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[CurlyEpsilon]", "^", "2"}], "/", "18"}], ")"}], "*", 
        RowBox[{
         RowBox[{"u", "[", 
          RowBox[{"x", ",", "t"}], "]"}], "^", "2"}]}], "+", 
       RowBox[{
        RowBox[{"\[CurlyEpsilon]", "/", "6"}], "*", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"u", "[", 
           RowBox[{"x", ",", "t"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "2"}], "}"}]}], "]"}]}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "\[CurlyEpsilon]"}], "/", "6"}], "*", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"u", "[", 
          RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}]}], "}"}]}], 
   "}"}]}], "\n", 
 RowBox[{"MatrixForm", "[", 
  RowBox[{"X", "[", 
   RowBox[{"x", ",", "t"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", 
  RowBox[{"T", "[", 
   RowBox[{"x", ",", "t"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6857065626032104`*^9, 3.6857065677979107`*^9}, {
   3.6857066132242374`*^9, 3.685706636109003*^9}, {3.6857066709433565`*^9, 
   3.6857067687253065`*^9}, 3.6857068093179255`*^9, {3.6857068662259254`*^9, 
   3.685706892447925*^9}, {3.6857069763997808`*^9, 3.685707263935479*^9}, {
   3.6857073045576186`*^9, 3.6857073554756923`*^9}, {3.685707391059064*^9, 
   3.685707412446527*^9}, {3.6857076295191355`*^9, 3.685707642233054*^9}, {
   3.6857081730862465`*^9, 3.685708269743227*^9}, 3.685708302534217*^9, 
   3.6857084179890766`*^9, 3.685708453978046*^9, {3.6857085026965337`*^9, 
   3.6857085593553705`*^9}, {3.685709638144272*^9, 3.685709661406272*^9}, {
   3.685709754633272*^9, 3.685709792343272*^9}, {3.6858546905443263`*^9, 
   3.685854699856392*^9}, {3.6858547368862815`*^9, 3.6858547390388193`*^9}, {
   3.6858548633868723`*^9, 3.6858548870647883`*^9}, {3.685855223422879*^9, 
   3.685855228009103*^9}, {3.68585527669483*^9, 3.685855282965789*^9}, {
   3.6858558036727877`*^9, 3.6858558107863874`*^9}, {3.6858559487379637`*^9, 
   3.685855965007964*^9}, 3.685856465480605*^9, {3.685856714391014*^9, 
   3.6858567210365286`*^9}, 3.6858573417370424`*^9, {3.6858574019988046`*^9, 
   3.6858574095646105`*^9}, {3.685868354973447*^9, 3.6858683663715086`*^9}, {
   3.6858696450241814`*^9, 3.685869664895181*^9}, {3.6935539462418766`*^9, 
   3.693553966365876*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"A", " ", "continuaci\[OAcute]n"}], ",", " ", 
   RowBox[{
   "calculamos", " ", "el", " ", "valor", " ", "del", " ", "producto", " ", 
    "de", " ", "matrices", " ", "XT", " ", "y", " ", 
    RowBox[{"TX", "."}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.6935538010838766`*^9, 3.693553811738676*^9}, {
  3.696593412117162*^9, 3.6965934215084224`*^9}}],

Cell[BoxData[{
 RowBox[{"XT", ":=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Dot", "[", 
    RowBox[{
     RowBox[{"X", "[", 
      RowBox[{"x", ",", "t"}], "]"}], ",", 
     RowBox[{"T", "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "]"}]}], "\n", 
 RowBox[{"TX", ":=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Dot", "[", 
    RowBox[{
     RowBox[{"T", "[", 
      RowBox[{"x", ",", "t"}], "]"}], ",", 
     RowBox[{"X", "[", 
      RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6857065626032104`*^9, 3.6857065677979107`*^9}, {
   3.6857066132242374`*^9, 3.685706636109003*^9}, {3.6857066709433565`*^9, 
   3.6857067687253065`*^9}, 3.6857068093179255`*^9, {3.6857068662259254`*^9, 
   3.685706892447925*^9}, {3.6857069763997808`*^9, 3.685707263935479*^9}, {
   3.6857073045576186`*^9, 3.6857073554756923`*^9}, {3.685707391059064*^9, 
   3.685707412446527*^9}, {3.6857076295191355`*^9, 3.685707642233054*^9}, {
   3.6857081730862465`*^9, 3.685708269743227*^9}, 3.685708302534217*^9, 
   3.6857084179890766`*^9, 3.685708453978046*^9, {3.6857085026965337`*^9, 
   3.6857085593553705`*^9}, {3.685709638144272*^9, 3.685709661406272*^9}, {
   3.685709754633272*^9, 3.685709792343272*^9}, {3.6858546905443263`*^9, 
   3.685854699856392*^9}, {3.6858547368862815`*^9, 3.6858547390388193`*^9}, {
   3.6858548633868723`*^9, 3.6858548870647883`*^9}, {3.685855223422879*^9, 
   3.685855228009103*^9}, {3.68585527669483*^9, 3.685855282965789*^9}, {
   3.6858558036727877`*^9, 3.6858558107863874`*^9}, {3.6858559487379637`*^9, 
   3.685855965007964*^9}, 3.685856465480605*^9, {3.685856714391014*^9, 
   3.6858567210365286`*^9}, 3.6858573417370424`*^9, {3.6858574019988046`*^9, 
   3.68585747938842*^9}, {3.685857649018471*^9, 3.685857654696725*^9}, {
   3.6858683695689554`*^9, 3.685868370489196*^9}, {3.6935538250298767`*^9, 
   3.6935538447950764`*^9}, {3.693553927147476*^9, 3.6935539417178764`*^9}, {
   3.69694854862779*^9, 3.696948551279807*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Una", " ", "vez", " ", "hallados", " ", "los", " ", "valores", " ", "de", 
    " ", "XT", " ", "y", " ", "TX", " ", "procedemos", " ", "a", " ", 
    "realizar", " ", "la", " ", "diferencia", " ", "entre", " ", "dichas", 
    " ", "matrices"}], ",", " ", 
   RowBox[{
    RowBox[{
    "lo", " ", "que", " ", "en", " ", "el", " ", "caso", " ", "de", " ", 
     "los", " ", "operadores", " ", "L", " ", "y", " ", "M", " ", "hemos", 
     " ", "llamado", " ", 
     RowBox[{"conmutador", ".", "\n", "En"}], " ", "este", " ", "caso", " ", 
     "se", " ", "denomina", " ", "conmutador", " ", "matricial", " ", "y", 
     " ", "viene", " ", "dado", " ", 
     RowBox[{"por", " ", "[", 
      RowBox[{"X", ",", "T"}], "]"}]}], "=", 
    RowBox[{"XT", "-", 
     RowBox[{"TX", "."}]}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6935540583902764`*^9, 3.6935540657378764`*^9}, {
  3.696593462756087*^9, 3.696593471336142*^9}}],

Cell[BoxData[{
 RowBox[{"Conmutador", ":=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"XT", "-", "TX"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "Conmutador", "]"}]}], "Input",
 CellChangeTimes->{{3.6857065626032104`*^9, 3.6857065677979107`*^9}, {
   3.6857066132242374`*^9, 3.685706636109003*^9}, {3.6857066709433565`*^9, 
   3.6857067687253065`*^9}, 3.6857068093179255`*^9, {3.6857068662259254`*^9, 
   3.685706892447925*^9}, {3.6857069763997808`*^9, 3.685707263935479*^9}, {
   3.6857073045576186`*^9, 3.6857073554756923`*^9}, {3.685707391059064*^9, 
   3.685707412446527*^9}, {3.6857076295191355`*^9, 3.685707642233054*^9}, {
   3.6857081730862465`*^9, 3.685708269743227*^9}, 3.685708302534217*^9, 
   3.6857084179890766`*^9, 3.685708453978046*^9, {3.6857085026965337`*^9, 
   3.6857085593553705`*^9}, {3.685709638144272*^9, 3.685709661406272*^9}, {
   3.685709754633272*^9, 3.685709792343272*^9}, {3.6858546905443263`*^9, 
   3.685854699856392*^9}, {3.6858547368862815`*^9, 3.6858547390388193`*^9}, {
   3.6858548633868723`*^9, 3.6858548870647883`*^9}, {3.685855223422879*^9, 
   3.685855228009103*^9}, {3.68585527669483*^9, 3.685855282965789*^9}, {
   3.6858558036727877`*^9, 3.6858558107863874`*^9}, {3.6858559487379637`*^9, 
   3.685855965007964*^9}, 3.685856465480605*^9, {3.685856714391014*^9, 
   3.6858567210365286`*^9}, 3.6858573417370424`*^9, {3.6858574019988046`*^9, 
   3.68585747938842*^9}, {3.6858576583938303`*^9, 3.6858576597509956`*^9}, 
   3.6858683720021343`*^9, {3.6935538490850763`*^9, 3.6935538592094765`*^9}, {
   3.6965934956098976`*^9, 3.696593505531561*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
     "Tras", " ", "hallar", " ", "el", " ", "valor", " ", "del", " ", 
      "conmutador", " ", "matricial", " ", "procedemos", " ", "a", " ", 
      "verificar", " ", "si", " ", "se", " ", "cumple", " ", "la", " ", 
      "condici\[OAcute]n", " ", "de", " ", "compatibilidad", " ", "que", " ", 
      "viene", " ", "dada", " ", "por", " ", 
      FormBox[
       SubscriptBox["D", "t"],
       TraditionalForm], "X"}], "-", 
     RowBox[{
      FormBox[
       SubscriptBox["D", "x"],
       TraditionalForm], "T"}], "+", 
     RowBox[{"[", 
      RowBox[{"X", ",", "T"}], "]"}]}], "=", 
    RowBox[{"0.", "\n", "Para", " ", "ello"}]}], ",", " ", 
   RowBox[{
   "en", " ", "primer", " ", "lugar", " ", "calculamos", " ", "los", " ", 
    "valores", " ", "de", "  ", "las", " ", "derivadas", " ", "y", " ", 
    "posteriormente", " ", "calcularemos", " ", "la", " ", 
    "condici\[OAcute]n", " ", "de", " ", 
    RowBox[{"compatibilidad", "."}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.6935540803550763`*^9, 3.6935540803550763`*^9}, {
  3.6965935249692855`*^9, 3.6965935807708435`*^9}}],

Cell[BoxData[{
 RowBox[{"Derivada1", ":=", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"X", "[", 
     RowBox[{"x", ",", "t"}], "]"}], ",", "t"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "Derivada1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Derivada2", ":=", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"T", "[", 
     RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "Derivada2", "]"}]}], "Input",
 CellChangeTimes->{{3.6857065626032104`*^9, 3.6857065677979107`*^9}, {
   3.6857066132242374`*^9, 3.685706636109003*^9}, {3.6857066709433565`*^9, 
   3.6857067687253065`*^9}, 3.6857068093179255`*^9, {3.6857068662259254`*^9, 
   3.685706892447925*^9}, {3.6857069763997808`*^9, 3.685707263935479*^9}, {
   3.6857073045576186`*^9, 3.6857073554756923`*^9}, {3.685707391059064*^9, 
   3.685707412446527*^9}, {3.6857076295191355`*^9, 3.685707642233054*^9}, {
   3.6857081730862465`*^9, 3.685708269743227*^9}, 3.685708302534217*^9, 
   3.6857084179890766`*^9, 3.685708453978046*^9, {3.6857085026965337`*^9, 
   3.6857085593553705`*^9}, {3.685709638144272*^9, 3.685709661406272*^9}, {
   3.685709754633272*^9, 3.685709792343272*^9}, {3.6858546905443263`*^9, 
   3.685854699856392*^9}, {3.6858547368862815`*^9, 3.6858547390388193`*^9}, {
   3.6858548633868723`*^9, 3.6858548870647883`*^9}, {3.685855223422879*^9, 
   3.685855228009103*^9}, {3.68585527669483*^9, 3.685855282965789*^9}, {
   3.6858558036727877`*^9, 3.6858558107863874`*^9}, {3.6858559487379637`*^9, 
   3.685855965007964*^9}, 3.685856465480605*^9, {3.685856714391014*^9, 
   3.6858567210365286`*^9}, 3.6858573417370424`*^9, {3.6858574019988046`*^9, 
   3.685857491712104*^9}, {3.6858683738582125`*^9, 3.685868376728116*^9}, {
   3.6935540911970763`*^9, 3.6935541130682764`*^9}}],

Cell[BoxData[{
 RowBox[{"Condici\[OAcute]ncompatibilidad", ":=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Derivada1", "-", "Derivada2", "+", "Conmutador"}], " ", 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", "Condici\[OAcute]ncompatibilidad", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.6857065626032104`*^9, 3.6857065677979107`*^9}, {
   3.6857066132242374`*^9, 3.685706636109003*^9}, {3.6857066709433565`*^9, 
   3.6857067687253065`*^9}, 3.6857068093179255`*^9, {3.6857068662259254`*^9, 
   3.685706892447925*^9}, {3.6857069763997808`*^9, 3.685707263935479*^9}, {
   3.6857073045576186`*^9, 3.6857073554756923`*^9}, {3.685707391059064*^9, 
   3.685707412446527*^9}, {3.6857076295191355`*^9, 3.685707642233054*^9}, {
   3.6857081730862465`*^9, 3.685708269743227*^9}, 3.685708302534217*^9, 
   3.6857084179890766`*^9, 3.685708453978046*^9, {3.6857085026965337`*^9, 
   3.6857085593553705`*^9}, {3.685709638144272*^9, 3.685709661406272*^9}, {
   3.685709754633272*^9, 3.685709792343272*^9}, {3.6858546905443263`*^9, 
   3.685854699856392*^9}, {3.6858547368862815`*^9, 3.6858547390388193`*^9}, {
   3.6858548633868723`*^9, 3.6858548870647883`*^9}, {3.685855223422879*^9, 
   3.685855228009103*^9}, {3.68585527669483*^9, 3.685855282965789*^9}, {
   3.6858558036727877`*^9, 3.6858558107863874`*^9}, {3.6858559487379637`*^9, 
   3.685855965007964*^9}, 3.685856465480605*^9, {3.685856714391014*^9, 
   3.6858567210365286`*^9}, 3.6858573417370424`*^9, {3.6858574019988046`*^9, 
   3.685857491712104*^9}, 3.6858576092238913`*^9, {3.685857665491648*^9, 
   3.685857667316801*^9}, 3.6858683839340687`*^9, {3.6935538745130763`*^9, 
   3.6935539214534764`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Vemos", " ", "que", " ", "en", " ", "la", " ", "condici\[OAcute]n", " ", 
   "de", " ", "compatibilidad", " ", "la", " ", "expresi\[OAcute]n", " ", 
   "no", " ", "nula", " ", "es", " ", "la", " ", "ecuaci\[OAcute]n", " ", 
   "KdV", " ", "multiplicada", " ", "por", " ", "una", " ", 
   RowBox[{"constante", ".", "\n", "Igualamos"}], " ", "dicha", " ", 
   "expresi\[OAcute]n", " ", "a", " ", "cero", " ", "tal", " ", "y", " ", 
   "como", " ", "indica", " ", "la", " ", "propia", " ", "condici\[OAcute]n", 
   " ", "de", " ", "compatibilidad", " ", "y", " ", "vemos", " ", "que", " ", 
   "efectivamente", "  ", "se", " ", "obtiene", " ", "la", " ", 
   "ecuaci\[OAcute]n", " ", 
   RowBox[{"KdV", ".", "\n", "Que"}], " ", "era", " ", "justo", " ", "el", 
   " ", "resultado", " ", 
   RowBox[{"deseado", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6935541663578763`*^9, 3.6935542572902765`*^9}, {
  3.696593670003415*^9, 3.6965937346348515`*^9}, {3.696597137403612*^9, 
  3.6965971567165365`*^9}}],

Cell[BoxData[
 RowBox[{"Matrizceros", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.685857564515437*^9, 3.6858575858712897`*^9}, 
   3.6858576191452365`*^9, {3.685868386710388*^9, 3.685868391888692*^9}}],

Cell[BoxData[
 RowBox[{"Verificaci\[OAcute]n", "=", 
  RowBox[{"Condici\[OAcute]ncompatibilidad", "==", "Matrizceros"}]}]], "Input",
 CellChangeTimes->{{3.6858576007377086`*^9, 3.685857625447475*^9}, {
  3.68586845944598*^9, 3.6858685071636267`*^9}}]
}, Open  ]]
},
WindowSize->{1600, 818},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.4 para Microsoft Windows (64-bit) (April 11, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 815, 21, 166, "Title"],
Cell[1398, 45, 326, 7, 31, "Input"],
Cell[1727, 54, 3800, 97, 144, "Input"],
Cell[5530, 153, 412, 9, 31, "Input"],
Cell[5945, 164, 1991, 36, 86, "Input"],
Cell[7939, 202, 986, 21, 52, "Input"],
Cell[8928, 225, 1611, 23, 86, "Input"],
Cell[10542, 250, 1177, 28, 52, "Input"],
Cell[11722, 280, 1822, 32, 162, "Input"],
Cell[13547, 314, 1671, 25, 86, "Input"],
Cell[15221, 341, 1059, 18, 72, "Input"],
Cell[16283, 361, 351, 9, 31, "Input"],
Cell[16637, 372, 250, 4, 31, "Input"]
}, Open  ]]
}
]
*)

