(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.4' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     42337,       1147]
NotebookOptionsPosition[     39846,       1073]
NotebookOutlinePosition[     40191,       1088]
CellTagsIndexPosition[     40148,       1085]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Beatriz G\[OAcute]mez G\[OAcute]mez\nPares de Lax para la ecuaci\[OAcute]n \
de Korteweg-de Vries o KdV\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"                                           ", 
    RowBox[{
     SubscriptBox["u", "t"], "+", 
     SubscriptBox["\[CurlyEpsilon]uu", "x"]}]}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   RowBox[{"+", 
    SubscriptBox["u", "xxx"]}], TraditionalForm]]],
 "=0"
}], "Title",
 CellChangeTimes->{{3.6851044409049797`*^9, 3.6851044527272024`*^9}, {
  3.68570102989508*^9, 3.685701033966602*^9}, {3.6857012083407073`*^9, 
  3.6857012164526033`*^9}, {3.6857057561867585`*^9, 3.6857057628620605`*^9}, {
  3.6857059304308567`*^9, 3.685705932567577*^9}, {3.6857059723749943`*^9, 
  3.685706020740488*^9}, {3.6965883398518257`*^9, 3.6965883480886784`*^9}, {
  3.6965884167291183`*^9, 3.6965887465620327`*^9}, {3.696588779337843*^9, 
  3.696588843781856*^9}, {3.6965908805901394`*^9, 3.696590881884939*^9}, {
  3.6972669821996875`*^9, 3.6972669895634537`*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 "Caso 2.3.3\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "="}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   FractionBox[
    SuperscriptBox["\[PartialD]", "2"], 
    RowBox[{"\[PartialD]", 
     SuperscriptBox["x", "2"]}]], TraditionalForm]]],
 "- u\nM= ",
 "\[Alpha]",
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FractionBox[
      SuperscriptBox["\[PartialD]", "3"], 
      RowBox[{"\[PartialD]", 
       SuperscriptBox["x", "3"]}]], 
     RowBox[{"-", "  ", 
      RowBox[{"B", "(", 
       RowBox[{"x", ",", "t"}], ")"}]}]}], 
    RowBox[{
     FractionBox["\[PartialD]", 
      RowBox[{"\[PartialD]", "x"}]], "  ", 
     RowBox[{"-", " ", 
      RowBox[{"C", "(", 
       RowBox[{"x", ",", "t"}], ")"}]}]}]}], TraditionalForm]]]
}], "Section",
 CellChangeTimes->{{3.6851044409049797`*^9, 3.6851044527272024`*^9}, {
  3.6851048945074787`*^9, 3.6851048952250233`*^9}, {3.685705901280998*^9, 
  3.6857059017177*^9}, {3.6965908963149395`*^9, 3.696590941726539*^9}, {
  3.696590983160139*^9, 3.6965910082761393`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Introducimos", " ", "los", " ", "operadores", " ", "L", " ", "y", " ", 
   RowBox[{"M", "."}]}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"opL", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2"}], "}"}]}], "]"}], "-", " ", 
     RowBox[{
      RowBox[{"u", "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", "#"}]}], ")"}], 
   "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"opM", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"\[Alpha]", "*", 
      RowBox[{"D", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "3"}], "}"}]}], "]"}]}], " ", "-", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"x", ",", "t"}], "]"}], "*", " ", 
      RowBox[{"D", "[", 
       RowBox[{"#", ",", "x"}], "]"}]}], " ", "-", 
     RowBox[{
      RowBox[{"C", "[", 
       RowBox[{"x", ",", "t"}], "]"}], "#"}]}], ")"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.684751201139577*^9, 3.6847512498125725`*^9}, {
   3.684751351843633*^9, 3.6847513754661074`*^9}, {3.684751623097218*^9, 
   3.6847516246172485`*^9}, {3.6847518894846935`*^9, 3.684751910205108*^9}, {
   3.684752016202327*^9, 3.6847520180023627`*^9}, {3.6851044574061823`*^9, 
   3.685104459496127*^9}, {3.685104911291787*^9, 3.6851049568564787`*^9}, 
   3.6851052863070536`*^9, 3.6851053485506544`*^9, 3.685710041801272*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Realizamos", " ", "la", " ", "composici\[OAcute]n", " ", "de", " ", 
    "operadores"}], ",", " ", 
   RowBox[{"es", " ", "decir"}], " ", ",", " ", 
   RowBox[{"calculamos", " ", "LM", " ", "y", " ", 
    RowBox[{"ML", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.69659507991437*^9, 3.6965950809127765`*^9}}],

Cell[BoxData[
 RowBox[{"LM", ":=", 
  RowBox[{"ExpandAll", "[", 
   RowBox[{
    RowBox[{"Composition", "[", 
     RowBox[{
      RowBox[{"opL", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", " ", 
      RowBox[{"opM", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "[", 
    RowBox[{"\[Phi]", "[", 
     RowBox[{"x", ",", "t"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.684751267187934*^9, {3.6847515198750515`*^9, 3.6847515241071377`*^9}, {
   3.6847519970259237`*^9, 3.684752002428034*^9}, {3.685104678822871*^9, 
   3.685104688353738*^9}, 3.68663703353845*^9}],

Cell[BoxData[
 RowBox[{"ML", ":=", 
  RowBox[{"ExpandAll", "[", 
   RowBox[{
    RowBox[{"Composition", "[", 
     RowBox[{
      RowBox[{"opM", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", " ", 
      RowBox[{"opL", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "[", 
    RowBox[{"\[Phi]", "[", 
     RowBox[{"x", ",", "t"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.684751541878544*^9, 3.6847515447786016`*^9}, {
   3.684752028096589*^9, 3.684752030206631*^9}, {3.6851046925810127`*^9, 
   3.685104695342*^9}, 3.68663703747217*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Posteriormente", " ", "calculamos", " ", "el", " ", "valor", " ", "del", 
   " ", 
   RowBox[{"conmutador", "."}]}], " ", "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{"Conmutador", ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Composition", "[", 
      RowBox[{
       RowBox[{"opL", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", " ", 
       RowBox[{"opM", "[", 
        RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "[", 
     RowBox[{"\[Phi]", "[", 
      RowBox[{"x", ",", "t"}], "]"}], "]"}], " ", "-", " ", 
    RowBox[{
     RowBox[{"Composition", "[", 
      RowBox[{
       RowBox[{"opM", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", " ", 
       RowBox[{"opL", "[", 
        RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "[", 
     RowBox[{"\[Phi]", "[", 
      RowBox[{"x", ",", "t"}], "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.684751559016909*^9, 3.6847515762792764`*^9}, {
  3.6851046355205317`*^9, 3.685104640387388*^9}, {3.6866370410000296`*^9, 
  3.6866370439815397`*^9}}],

Cell[BoxData["Conmutador"], "Input",
 CellChangeTimes->{{3.6851046509478154`*^9, 3.6851046527416773`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Una", " ", "vez", " ", "llegado", " ", "a", " ", "este", " ", "punto", 
    " ", "queremos", " ", "que", " ", "el", " ", "conmutador", " ", "sea", 
    " ", "un", " ", "operador", " ", "multiplicativo"}], ",", " ", 
   RowBox[{"es", " ", "decir"}], ",", " ", 
   RowBox[{
   "se", " ", "deben", " ", "anular", " ", "los", " ", "coeficientes", " ", 
    "que", " ", "acompa\[NTilde]an", " ", "a", " ", "los", " ", 
    "t\[EAcute]rminos", " ", "de", " ", "tipo", " ", "operador"}], ",", " ", 
   RowBox[{
   "por", " ", "lo", " ", "que", " ", "tras", " ", "exigir", " ", "dicha", 
    " ", "condici\[OAcute]n", " ", "procedemos", " ", "a", " ", "hallar", " ",
     "los", " ", "valores", " ", "de", " ", "B", " ", "y", " ", 
    RowBox[{"C", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6965911419374075`*^9, 3.69659115947192*^9}, {
  3.6965911951025486`*^9, 3.696591278174081*^9}, {3.6965913178139353`*^9, 
  3.6965913454729123`*^9}, {3.6965914515691924`*^9, 3.6965914767633543`*^9}, {
  3.6965915610974946`*^9, 3.6965915990993385`*^9}, {3.6965950868252144`*^9, 
  3.6965950879484215`*^9}, {3.6965973090973015`*^9, 3.6965973166010456`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ecuaci\[OAcute]n1", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"3", "*", "\[Alpha]", "*", 
    RowBox[{"(", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"u", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}], ")"}]}], "-", 
   RowBox[{"2", "*", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], 
     "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ecuaci\[OAcute]n2", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"3", "*", "\[Alpha]", "*", 
    RowBox[{"(", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"u", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2"}], "}"}]}], "]"}], ")"}]}], "-", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"x", ",", "t"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "2"}], "}"}]}], "]"}], "-", 
   RowBox[{"2", "*", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"C", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], 
     "]"}]}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6851629009471927`*^9, 3.685162955562225*^9}, {
   3.6851629886966248`*^9, 3.6851630469782248`*^9}, {3.6851630855726247`*^9, 
   3.685163141888625*^9}, {3.685163176895025*^9, 3.6851632049282246`*^9}, {
   3.685163260417425*^9, 3.685163450659425*^9}, {3.685164072348713*^9, 
   3.685164137108219*^9}, {3.6851645152014885`*^9, 3.6851646308650784`*^9}, {
   3.6851647244848795`*^9, 3.6851647275894184`*^9}, {3.685165044900953*^9, 
   3.6851650461957693`*^9}, {3.685165116537071*^9, 3.685165131840867*^9}, {
   3.6857100494802723`*^9, 3.685710051656272*^9}, 3.696592186398303*^9, {
   3.696593098383149*^9, 3.696593098757552*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ecuaci\[OAcute]n3", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"ecuaci\[OAcute]n1", "[", 
     RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ecuaci\[OAcute]n4", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Integrate", "[", 
   RowBox[{
    RowBox[{"ecuaci\[OAcute]n2", "[", 
     RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6851647597736626`*^9, 3.685164863345087*^9}, {
  3.6851649152004843`*^9, 3.6851649194905667`*^9}, {3.685165016149784*^9, 
  3.685165024885896*^9}, {3.696593102454776*^9, 3.696593102641977*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"soluci\[OAcute]n1", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"ecuaci\[OAcute]n1", "[", 
        RowBox[{"x", ",", "t"}], "]"}], "\[Equal]", "0"}], "&&", 
      RowBox[{
       RowBox[{"ecuaci\[OAcute]n3", "[", 
        RowBox[{"x", ",", "t"}], "]"}], "\[Equal]", "0"}], "&&", 
      RowBox[{
       RowBox[{"ecuaci\[OAcute]n4", "[", 
        RowBox[{"x", ",", "t"}], "]"}], "\[Equal]", "0"}]}], " ", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"B", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"B", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}], ",", 
      RowBox[{"C", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"soluci\[OAcute]n1", "[", 
  RowBox[{"x", ",", "t"}], "]"}]}], "Input",
 CellChangeTimes->{{3.685165139172961*^9, 3.685165186151973*^9}, {
   3.6851652180699816`*^9, 3.6851652864456077`*^9}, {3.685165331483096*^9, 
   3.6851653648049097`*^9}, {3.685165412556816*^9, 3.6851654269401083`*^9}, {
   3.685165459903119*^9, 3.685165469949584*^9}, 3.6851655034585986`*^9, {
   3.6851655541121235`*^9, 3.685165577137871*^9}, {3.68516567518388*^9, 
   3.6851657087550793`*^9}, {3.6851657696886797`*^9, 
   3.6851658173310795`*^9}, {3.68516789210728*^9, 3.6851679043844795`*^9}, {
   3.6851680509308796`*^9, 3.6851680542848797`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"A", " ", "continuaci\[OAcute]n"}], ",", " ", 
   RowBox[{
   "sustituimos", " ", "los", " ", "valores", " ", "de", " ", "B", " ", "y", 
    " ", "C", " ", "en", " ", "el", " ", 
    RowBox[{"conmutador", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6965922373638296`*^9, 3.696592257051156*^9}, {
  3.696592291355776*^9, 3.696592295755004*^9}}],

Cell[BoxData[{
 RowBox[{"conmutadorversi\[OAcute]n1", ":=", 
  RowBox[{
   RowBox[{"ReplaceAll", "[", 
    RowBox[{
     RowBox[{"B", "[", 
      RowBox[{"x", ",", "t"}], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"3", "/", "2"}], "\[Alpha]", " ", "*", 
      RowBox[{"u", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}]}], " ", "]"}], "[", "Conmutador", 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"conmutadorversi\[OAcute]n2", ":=", 
  RowBox[{
   RowBox[{"ReplaceAll", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"B", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"3", "/", "2"}], "\[Alpha]", " ", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}]}], "]"}], "[", 
   "conmutadorversi\[OAcute]n1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"conmutadorversi\[OAcute]n3", ":=", 
  RowBox[{
   RowBox[{"ReplaceAll", "[", 
    RowBox[{
     RowBox[{"C", "[", 
      RowBox[{"x_", ",", "t_"}], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"3", "/", "4"}], " ", "\[Alpha]", "*", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}]}], " ", "]"}], 
   "[", "conmutadorversi\[OAcute]n2", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6851671208346796`*^9, 3.6851671760274796`*^9}, {
   3.6851672886036797`*^9, 3.6851677452478795`*^9}, {3.68516784725628*^9, 
   3.6851678609374795`*^9}, {3.6851679205148797`*^9, 3.6851679931172795`*^9}, 
   3.6851680618040795`*^9, {3.685168127220583*^9, 3.6851681289836884`*^9}, {
   3.685710066951272*^9, 3.685710071575272*^9}, {3.6965922794529*^9, 
   3.696592320169161*^9}}],

Cell[BoxData[{
 RowBox[{"conmutadorversi\[OAcute]n4", ":=", 
  RowBox[{
   RowBox[{"ReplaceAll", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"C", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"3", "/", "4"}], "\[Alpha]", " ", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "2"}], "}"}]}], "]"}]}]}], "]"}], "[", 
   "conmutadorversi\[OAcute]n3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"conmutadorversi\[OAcute]n5", ":=", 
  RowBox[{
   RowBox[{"ReplaceAll", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"C", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2"}], "}"}]}], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"3", "/", "4"}], " ", "\[Alpha]", " ", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "3"}], "}"}]}], "]"}]}]}], "]"}], "[", 
   "conmutadorversi\[OAcute]n4", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6851680847984796`*^9, 3.6851681969958577`*^9}, {
  3.685710073783272*^9, 3.6857100812702723`*^9}, {3.6965923226027765`*^9, 
  3.6965923267836027`*^9}}],

Cell[BoxData[
 RowBox[{"Finalconmutador", ":=", 
  RowBox[{
   RowBox[{"ReplaceAll", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"B", "[", 
        RowBox[{"x", ",", "t"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2"}], "}"}]}], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"3", "/", "2"}], " ", "\[Alpha]", " ", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"u", "[", 
         RowBox[{"x", ",", "t"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "2"}], "}"}]}], "]"}]}]}], "]"}], "[", 
   "conmutadorversi\[OAcute]n5", "]"}]}]], "Input",
 CellChangeTimes->{{3.6851682046577835`*^9, 3.685168253275797*^9}, {
  3.685710085398272*^9, 3.6857100862452717`*^9}, {3.696592329123618*^9, 
  3.696592329700822*^9}}],

Cell[BoxData["Finalconmutador"], "Input",
 CellChangeTimes->{{3.6851682272348905`*^9, 3.6851682594388633`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Finalmente", " ", "comprobamos", " ", "que", " ", "se", " ", "verifica", 
    " ", "la", " ", "condici\[OAcute]n", " ", "de", " ", "compatibilidad"}], 
   ",", " ", 
   RowBox[{"es", " ", "decir"}], " ", ",", " ", 
   RowBox[{
   "la", " ", "denominada", " ", "ecuaci\[OAcute]n", " ", "de", " ", "Lax"}], 
   ",", " ", 
   RowBox[{
    RowBox[{
     SubscriptBox["L", "t"], "+", 
     RowBox[{"[", 
      RowBox[{"L", ",", "M"}], "]"}]}], "=", "0."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6965925425495863`*^9, 3.6965926278665333`*^9}}],

Cell[BoxData[{
 RowBox[{"PrimeraderivadaopLt", ":=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"opL", "[", 
      RowBox[{"x", ",", "t"}], "]"}], ",", "t"}], "]"}], "[", 
   RowBox[{"\[Phi]", "[", 
    RowBox[{"x", ",", "t"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", "PrimeraderivadaopLt"}], "Input",
 CellChangeTimes->{{3.6851622613806543`*^9, 3.6851623138337016`*^9}, {
   3.6851623454334264`*^9, 3.685162389994341*^9}, {3.685162458434416*^9, 
   3.685162462832798*^9}, {3.685705584775276*^9, 3.685705586007676*^9}, 
   3.6866370547680497`*^9}],

Cell[BoxData[{
 RowBox[{"Condici\[OAcute]ncompatibilidad", ":=", 
  RowBox[{
  "PrimeraderivadaopLt", "+", 
   "Finalconmutador"}]}], "\[IndentingNewLine]", \
"Condici\[OAcute]ncompatibilidad"}], "Input",
 CellChangeTimes->{{3.6851623833031855`*^9, 3.6851624804107294`*^9}, {
  3.6851638229296246`*^9, 3.685163830308425*^9}, {3.6851638769680247`*^9, 
  3.685163878403225*^9}, {3.6851639670907907`*^9, 3.6851639773716516`*^9}, {
  3.6851683220066905`*^9, 3.6851683529478445`*^9}, {3.685168440833415*^9, 
  3.685168460741291*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Vemos", " ", "que", " ", "obtenemos", " ", "la", " ", "ecuaci\[OAcute]n", 
    " ", "de", " ", "Korteweg", " ", "de", " ", "Vries", " ", "como", " ", 
    "condici\[OAcute]n", " ", "de", " ", "comaptibilidad", " ", "cambiada", 
    " ", "de", " ", "signo"}], ",", 
   RowBox[{
   "por", " ", "lo", " ", "que", " ", "negamos", " ", "el", " ", "valor", " ",
     "de", " ", "la", " ", "condici\[OAcute]n", " ", "de", " ", 
    "compatibilidada", " ", "y", " ", "obtenemos", " ", "el", " ", 
    "resultado", " ", 
    RowBox[{"deseado", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{3.6965927355550237`*^9}],

Cell[BoxData[{
 RowBox[{"Resultado", ":=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"-", 
    RowBox[{"(", "Condici\[OAcute]ncompatibilidad", ")"}]}], 
   "]"}]}], "\[IndentingNewLine]", "Resultado"}], "Input",
 CellChangeTimes->{{3.685162548372692*^9, 3.6851626713715963`*^9}, {
   3.685163990569844*^9, 3.6851639988226137`*^9}, {3.6851642097918806`*^9, 
   3.6851642308840265`*^9}, {3.6851642679675455`*^9, 3.68516431604767*^9}, {
   3.6851684958747435`*^9, 3.685168590026778*^9}, 3.696592925829443*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Vemos", " ", "que", " ", "el", " ", "resultado", " ", "viene", " ", 
    "dado", " ", "en", " ", "funci\[OAcute]n", " ", "de", " ", "\[Alpha]", 
    " ", "por", " ", "lo", " ", "que", " ", "sustituimos", " ", "\[Alpha]"}], 
   "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "4"}], " ", "y", " ", "obtenemos", " ", "la", " ", 
     "ecuaci\[OAcute]n", " ", "KdV", " ", "donde", " ", "\[CurlyEpsilon]"}], 
    "=", 
    RowBox[{"-", "6."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6965927566463585`*^9, 3.69659292063461*^9}, {
  3.696592967965313*^9, 3.6965929802269917`*^9}, {3.6965930137828074`*^9, 
  3.696593015920021*^9}, {3.6965956346055565`*^9, 3.696595635978365*^9}}],

Cell[BoxData[{
 RowBox[{"Resultadodefinitivo", ":=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"ReplaceAll", "[", 
     RowBox[{"\[Alpha]", "\[Rule]", " ", 
      RowBox[{"-", "4"}]}], "]"}], "[", "Resultado", "]"}], 
   "]"}]}], "\[IndentingNewLine]", "Resultadodefinitivo"}], "Input",
 CellChangeTimes->{{3.6851686170019073`*^9, 3.6851687134622917`*^9}, 
   3.685710094725272*^9, {3.686637185161072*^9, 3.686637191418316*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Caso 2.3.4\n",
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "=", 
    RowBox[{"-", 
     FractionBox["6", "\[CurlyEpsilon]"]}]}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   FractionBox[
    SuperscriptBox["\[PartialD]", "2"], 
    RowBox[{"\[PartialD]", 
     SuperscriptBox["x", "2"]}]], TraditionalForm]]],
 "- u\nM= -4",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FractionBox[
      SuperscriptBox["\[PartialD]", "3"], 
      RowBox[{"\[PartialD]", 
       SuperscriptBox["x", "3"]}]], 
     RowBox[{"-", "  ", "\[CurlyEpsilon]u"}]}], 
    RowBox[{
     FractionBox["\[PartialD]", 
      RowBox[{"\[PartialD]", "x"}]], "  ", 
     RowBox[{"-", " ", 
      FractionBox["\[CurlyEpsilon]", "2"]}]}], " ", 
    FractionBox[
     RowBox[{"\[PartialD]", "u"}], 
     RowBox[{"\[PartialD]", "x"}]], " "}], TraditionalForm]]]
}], "Section",
 CellChangeTimes->{{3.6851044409049797`*^9, 3.6851044527272024`*^9}, {
  3.68570102989508*^9, 3.685701033966602*^9}, {3.6857012083407073`*^9, 
  3.6857012164526033`*^9}, {3.6857057561867585`*^9, 3.6857057628620605`*^9}, {
  3.6857059304308567`*^9, 3.685705932567577*^9}, {3.6857059723749943`*^9, 
  3.685706020740488*^9}, {3.6965883398518257`*^9, 3.6965883480886784`*^9}, {
  3.6965884167291183`*^9, 3.6965887465620327`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Introducimos", " ", "los", " ", "operadores", " ", "L", " ", "y", " ", 
   RowBox[{"M", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.691159624536866*^9, 3.6911596637088857`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"opL", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "6"}], "/", "\[CurlyEpsilon]"}], "*", 
     RowBox[{"(", 
      RowBox[{"D", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "2"}], "}"}]}], "]"}], ")"}]}], "-", 
    RowBox[{
     RowBox[{"u", "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", "#"}]}], 
   "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"opM", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      RowBox[{"D", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "3"}], "}"}]}], "]"}]}], " ", "-", 
     RowBox[{"\[CurlyEpsilon]", "*", 
      RowBox[{"u", "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{"D", "[", 
       RowBox[{"#", ",", "x"}], "]"}]}], " ", "-", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "*", " ", "\[CurlyEpsilon]", "*", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"u", "[", 
           RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}], ")"}], " ", 
      "#"}]}], " ", ")"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.684751201139577*^9, 3.6847512498125725`*^9}, {
  3.684751351843633*^9, 3.6847513754661074`*^9}, {3.684751623097218*^9, 
  3.6847516246172485`*^9}, {3.6847518894846935`*^9, 3.684751910205108*^9}, {
  3.684752016202327*^9, 3.6847520180023627`*^9}, {3.6851044574061823`*^9, 
  3.685104459496127*^9}, {3.68570104653996*^9, 3.685701072326264*^9}, {
  3.685701155691382*^9, 3.685701167656429*^9}, {3.68570122370651*^9, 
  3.685701242207873*^9}, {3.6857012839529376`*^9, 3.6857013022983027`*^9}, {
  3.693552242591222*^9, 3.6935522732636366`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Realizamos", " ", "la", " ", "composici\[OAcute]n", " ", "de", " ", 
    "operadores"}], ",", 
   RowBox[{"es", " ", "decir"}], ",", " ", 
   RowBox[{"calculamos", " ", "LM", " ", "y", " ", 
    RowBox[{"ML", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.691159624536866*^9, 3.6911596743481536`*^9}}],

Cell[BoxData[
 RowBox[{"LM", ":=", 
  RowBox[{"ExpandAll", "[", 
   RowBox[{
    RowBox[{"Composition", "[", 
     RowBox[{
      RowBox[{"opL", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", " ", 
      RowBox[{"opM", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "[", 
    RowBox[{"\[Phi]", "[", 
     RowBox[{"x", ",", "t"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.684751267187934*^9, {3.6847515198750515`*^9, 3.6847515241071377`*^9}, {
   3.6847519970259237`*^9, 3.684752002428034*^9}, {3.685104678822871*^9, 
   3.685104688353738*^9}, {3.691159512012624*^9, 3.691159512324628*^9}, 
   3.6935523556129103`*^9}],

Cell[BoxData[
 RowBox[{"ML", ":=", 
  RowBox[{"ExpandAll", "[", 
   RowBox[{
    RowBox[{"Composition", "[", 
     RowBox[{
      RowBox[{"opM", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", " ", 
      RowBox[{"opL", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "[", 
    RowBox[{"\[Phi]", "[", 
     RowBox[{"x", ",", "t"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.684751541878544*^9, 3.6847515447786016`*^9}, {
   3.684752028096589*^9, 3.684752030206631*^9}, {3.6851046925810127`*^9, 
   3.685104695342*^9}, {3.6911595142590528`*^9, 3.691159514352654*^9}, 
   3.6935523532426977`*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Posteriormente", " ", "calculamos", " ", "el", " ", "valor", " ", "del", 
   " ", 
   RowBox[{"conmutador", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{3.691159689168249*^9}],

Cell[BoxData[
 RowBox[{"Conmutador", ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"LM", "-", "ML"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.684751559016909*^9, 3.6847515762792764`*^9}, {
  3.6851046355205317`*^9, 3.685104640387388*^9}, {3.691159518205903*^9, 
  3.691159521154341*^9}, {3.693552346786989*^9, 3.693552349921283*^9}, {
  3.693552407258582*^9, 3.693552411515608*^9}}],

Cell[BoxData["Conmutador"], "Input",
 CellChangeTimes->{{3.6851046509478154`*^9, 3.6851046527416773`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "Finalmente", " ", "comprobamos", " ", "que", " ", "se", " ", "verifica", 
     " ", "la", " ", "condici\[OAcute]n", " ", "de", " ", "compatibilidad", 
     FormBox[
      RowBox[{",", " ", 
       RowBox[{
       "que", " ", "se", " ", "trata", " ", "de", " ", "la", " ", 
        "denominada", " ", "ecuaci\[OAcute]n", " ", "de", " ", "Lax"}], ",", 
       " ", 
       SubscriptBox["L", "t"]}],
      TraditionalForm]}], "+", 
    RowBox[{"[", 
     RowBox[{"L", ",", "M"}], "]"}]}], "=", "0."}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.691159706187958*^9, 3.6911597143468103`*^9}, {
  3.6965890257570224`*^9, 3.6965890523083925`*^9}}],

Cell[BoxData[{
 RowBox[{"PrimeraderivadaopLt", ":=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"opL", "[", 
      RowBox[{"x", ",", "t"}], "]"}], ",", "t"}], "]"}], "[", 
   RowBox[{"\[Phi]", "[", 
    RowBox[{"x", ",", "t"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", "PrimeraderivadaopLt"}], "Input",
 CellChangeTimes->{{3.6851622613806543`*^9, 3.6851623138337016`*^9}, {
   3.6851623454334264`*^9, 3.685162389994341*^9}, {3.685162458434416*^9, 
   3.685162462832798*^9}, {3.685705668619214*^9, 3.685705669461425*^9}, {
   3.6911595236035724`*^9, 3.691159523790775*^9}, 3.6935523438554115`*^9}],

Cell[BoxData[{
 RowBox[{"Condici\[OAcute]ncompatibilidad", ":=", 
  RowBox[{
  "PrimeraderivadaopLt", "+", 
   "Conmutador"}]}], "\[IndentingNewLine]", \
"Condici\[OAcute]ncompatibilidad"}], "Input",
 CellChangeTimes->{{3.6851623833031855`*^9, 3.6851624804107294`*^9}, {
  3.6851638229296246`*^9, 3.685163830308425*^9}, {3.6851638769680247`*^9, 
  3.685163878403225*^9}, {3.6851639670907907`*^9, 3.6851639773716516`*^9}, {
  3.6851683728256845`*^9, 3.6851683764767165`*^9}, {3.685701096833393*^9, 
  3.6857010970517883`*^9}, {3.6965902622587624`*^9, 3.6965902628983383`*^9}, {
  3.6965903009452744`*^9, 3.6965903022868233`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Vemos", " ", "que", " ", "obtenemos", " ", "la", " ", "ecuaci\[OAcute]n", 
    " ", "de", " ", "Korteweg"}], "-", 
   RowBox[{
   "de", " ", "Vries", " ", "cambiada", " ", "de", " ", "signo", " ", "por", 
    " ", "lo", " ", "que", " ", "negamos", " ", "el", " ", "valor", " ", "de",
     " ", "la", " ", "condici\[OAcute]n", " ", "de", " ", "compatibilidad", 
    " ", "y", " ", "obtenemos", " ", "el", " ", "resultado", " ", 
    RowBox[{"deseado", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6911597491974335`*^9, 3.691159771770778*^9}, {
  3.696589092307049*^9, 3.696589101620309*^9}}],

Cell[BoxData[{
 RowBox[{"Resultado", ":=", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"-", 
     RowBox[{"(", "Condici\[OAcute]ncompatibilidad", ")"}]}], " ", "]"}], 
   "\[Equal]", " ", "0"}]}], "\[IndentingNewLine]", "Resultado"}], "Input",
 CellChangeTimes->{{3.685162548372692*^9, 3.6851626713715963`*^9}, {
  3.685163990569844*^9, 3.6851639988226137`*^9}, {3.6851642097918806`*^9, 
  3.6851642308840265`*^9}, {3.6851642679675455`*^9, 3.68516431604767*^9}, {
  3.6911595870963864`*^9, 3.6911595981881285`*^9}, {3.6911597829092493`*^9, 
  3.6911597841104574`*^9}, {3.696590273069147*^9, 3.696590296702238*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"L", "="}], TraditionalForm]]],
 Cell[BoxData[
  FormBox[
   FractionBox[
    SuperscriptBox["\[PartialD]", "2"], 
    RowBox[{"\[PartialD]", 
     SuperscriptBox["x", "2"]}]], TraditionalForm]]],
 " + ",
 Cell[BoxData[
  FormBox[
   FractionBox["\[CurlyEpsilon]", "6"], TraditionalForm]]],
 "u\nM= -4",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     FractionBox[
      SuperscriptBox["\[PartialD]", "3"], 
      RowBox[{"\[PartialD]", 
       SuperscriptBox["x", "3"]}]], 
     RowBox[{"-", "  ", "\[CurlyEpsilon]u"}]}], 
    RowBox[{
     FractionBox["\[PartialD]", 
      RowBox[{"\[PartialD]", "x"}]], "  ", 
     RowBox[{"-", " ", 
      FractionBox["\[CurlyEpsilon]", "2"]}]}], " ", 
    FractionBox[
     RowBox[{"\[PartialD]", "u"}], 
     RowBox[{"\[PartialD]", "x"}]], " "}], TraditionalForm]]]
}], "Section",
 CellChangeTimes->{{3.6851044409049797`*^9, 3.6851044527272024`*^9}, {
  3.68570102989508*^9, 3.685701033966602*^9}, {3.6857012083407073`*^9, 
  3.6857012164526033`*^9}, {3.6857057561867585`*^9, 3.6857057628620605`*^9}, {
  3.6857059304308567`*^9, 3.685705932567577*^9}, {3.6857059723749943`*^9, 
  3.685706020740488*^9}, {3.6965883398518257`*^9, 3.6965883480886784`*^9}, {
  3.6965884167291183`*^9, 3.6965887465620327`*^9}, {3.696588903452238*^9, 
  3.696588914762311*^9}, {3.6965889508609424`*^9, 3.6965889709538713`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Introducimos", " ", "los", " ", "operadores", " ", "L", " ", "y", " ", 
   RowBox[{"M", "."}]}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"opL", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"D", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2"}], "}"}]}], "]"}], ")"}], "+", 
    RowBox[{
     RowBox[{"\[CurlyEpsilon]", "/", "6"}], 
     RowBox[{"u", "[", 
      RowBox[{"x", ",", "t"}], "]"}], " ", "#"}]}], 
   "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"opM", "[", 
   RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      RowBox[{"D", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", "3"}], "}"}]}], "]"}]}], " ", "-", 
     RowBox[{"\[CurlyEpsilon]", "*", 
      RowBox[{"u", "[", 
       RowBox[{"x", ",", "t"}], "]"}], " ", 
      RowBox[{"D", "[", 
       RowBox[{"#", ",", "x"}], "]"}]}], " ", "-", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", "2"}], "*", " ", "\[CurlyEpsilon]", "*", 
        RowBox[{"D", "[", 
         RowBox[{
          RowBox[{"u", "[", 
           RowBox[{"x", ",", "t"}], "]"}], ",", "x"}], "]"}]}], ")"}], " ", 
      "#"}]}], " ", ")"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.684751201139577*^9, 3.6847512498125725`*^9}, {
  3.684751351843633*^9, 3.6847513754661074`*^9}, {3.684751623097218*^9, 
  3.6847516246172485`*^9}, {3.6847518894846935`*^9, 3.684751910205108*^9}, {
  3.684752016202327*^9, 3.6847520180023627`*^9}, {3.6851044574061823`*^9, 
  3.685104459496127*^9}, {3.68570104653996*^9, 3.685701072326264*^9}, {
  3.685701155691382*^9, 3.685701167656429*^9}, {3.68570122370651*^9, 
  3.685701242207873*^9}, {3.6857012839529376`*^9, 3.6857013022983027`*^9}, {
  3.6857060723578463`*^9, 3.685706089625497*^9}, {3.693552280015622*^9, 
  3.693552288592047*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Realizamos", " ", "la", " ", "composici\[OAcute]n", " ", "de", " ", 
    "operadores"}], ",", 
   RowBox[{"es", " ", "decir"}], ",", 
   RowBox[{"calculamos", " ", "LM", " ", "y", " ", 
    RowBox[{"ML", "."}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{3.6911598107710285`*^9}],

Cell[BoxData[
 RowBox[{"LM", ":=", 
  RowBox[{"ExpandAll", "[", 
   RowBox[{
    RowBox[{"Composition", "[", 
     RowBox[{
      RowBox[{"opL", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", " ", 
      RowBox[{"opM", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "[", 
    RowBox[{"\[Phi]", "[", 
     RowBox[{"x", ",", "t"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.684751267187934*^9, {3.6847515198750515`*^9, 3.6847515241071377`*^9}, {
   3.6847519970259237`*^9, 3.684752002428034*^9}, {3.685104678822871*^9, 
   3.685104688353738*^9}, {3.6911595298124523`*^9, 3.6911595299216537`*^9}, {
   3.6935523059943933`*^9, 3.6935523209641533`*^9}}],

Cell[BoxData[
 RowBox[{"ML", ":=", 
  RowBox[{"ExpandAll", "[", 
   RowBox[{
    RowBox[{"Composition", "[", 
     RowBox[{
      RowBox[{"opM", "[", 
       RowBox[{"x", ",", "t"}], "]"}], ",", " ", 
      RowBox[{"opL", "[", 
       RowBox[{"x", ",", "t"}], "]"}]}], "]"}], "[", 
    RowBox[{"\[Phi]", "[", 
     RowBox[{"x", ",", "t"}], "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.684751541878544*^9, 3.6847515447786016`*^9}, {
   3.684752028096589*^9, 3.684752030206631*^9}, {3.6851046925810127`*^9, 
   3.685104695342*^9}, {3.6911595316688757`*^9, 3.6911595317936773`*^9}, 
   3.6935523234123325`*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "Posteriormente", " ", "calculamos", " ", "el", " ", "valor", " ", "del", 
   " ", 
   RowBox[{"conmutador", "."}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{3.691159825388322*^9}],

Cell[BoxData[
 RowBox[{"Conmutador", ":=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"LM", "-", "ML"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.684751559016909*^9, 3.6847515762792764`*^9}, {
  3.6851046355205317`*^9, 3.685104640387388*^9}, {3.6911595344613113`*^9, 
  3.6911595372381473`*^9}, {3.6935523313806114`*^9, 3.6935523363237505`*^9}, {
  3.6935524246329255`*^9, 3.6935524267541585`*^9}}],

Cell[BoxData["Conmutador"], "Input",
 CellChangeTimes->{{3.6851046509478154`*^9, 3.6851046527416773`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "Finalmente", " ", "comprobamos", " ", "que", " ", "se", " ", "verifica", 
     " ", "la", " ", "condici\[OAcute]n", " ", "de", " ", "compatibilidad", 
     FormBox[
      RowBox[{",", " ", 
       RowBox[{
       "que", " ", "se", " ", "trata", " ", "de", " ", "la", " ", 
        "denominada", " ", "ecuaci\[OAcute]n", " ", "de", " ", "Lax"}], ",", 
       " ", 
       SubscriptBox["L", "t"]}],
      TraditionalForm]}], "+", 
    RowBox[{"[", 
     RowBox[{"L", ",", "M"}], "]"}]}], "=", "0."}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.691159846183255*^9, 3.6911598531721*^9}, {
  3.696589180276013*^9, 3.6965892036605625`*^9}}],

Cell[BoxData[{
 RowBox[{"PrimeraderivadaopLt", ":=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"opL", "[", 
      RowBox[{"x", ",", "t"}], "]"}], ",", "t"}], "]"}], "[", 
   RowBox[{"\[Phi]", "[", 
    RowBox[{"x", ",", "t"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", "PrimeraderivadaopLt"}], "Input",
 CellChangeTimes->{{3.6851622613806543`*^9, 3.6851623138337016`*^9}, {
   3.6851623454334264`*^9, 3.685162389994341*^9}, {3.685162458434416*^9, 
   3.685162462832798*^9}, {3.685705668619214*^9, 3.685705669461425*^9}, {
   3.6911595397497797`*^9, 3.691159539843381*^9}, 3.6935523392553287`*^9}],

Cell[BoxData[{
 RowBox[{"Condici\[OAcute]ncompatibilidad", ":=", 
  RowBox[{
  "PrimeraderivadaopLt", "+", 
   "Conmutador"}]}], "\[IndentingNewLine]", \
"Condici\[OAcute]ncompatibilidad"}], "Input",
 CellChangeTimes->{{3.6851623833031855`*^9, 3.6851624804107294`*^9}, {
  3.6851638229296246`*^9, 3.685163830308425*^9}, {3.6851638769680247`*^9, 
  3.685163878403225*^9}, {3.6851639670907907`*^9, 3.6851639773716516`*^9}, {
  3.6851683728256845`*^9, 3.6851683764767165`*^9}, {3.685701096833393*^9, 
  3.6857010970517883`*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "Vemos", " ", "que", " ", "en", " ", "este", " ", "caso", " ", "a", " ", 
     "diferencia", " ", "que", " ", "en", " ", "el", " ", "programa", " ", 
     "anterior", " ", "obtenemos", " ", "la", " ", "ecuaci\[OAcute]n", " ", 
     "de", " ", "Korteweg"}], "-", 
    RowBox[{
    "de", " ", "Vries", " ", "multiplicada", " ", "por", " ", "una", " ", 
     RowBox[{"constante", ".", "\[IndentingNewLine]", "Pero"}], " ", "como", 
     " ", "la", " ", "condici\[OAcute]n", " ", "de", " ", "compatibilidad", 
     " ", "est\[AAcute]", " ", "igualada", " ", "a", " ", "cero", " ", "el", 
     " ", "valor", " ", "de", " ", "la", " ", "constante", " ", "no", " ", 
     "influye", " ", "y", " ", "obtenemos", " ", "al", " ", "igual", " ", 
     "que", " ", "en", " ", "el", " ", "programa", " ", "anterior", " ", "la",
      " ", "ecuaci\[OAcute]n", " ", "KdV", "\[IndentingNewLine]", " ", 
     SubscriptBox["u", "t"]}], "+", 
    SubscriptBox["\[CurlyEpsilon]uu", "x"], "+", 
    SubscriptBox["u", "xxx"]}], "=", "0."}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.691159880113473*^9, 3.691160039156492*^9}, {
  3.6965892219594803`*^9, 3.6965892398215947`*^9}, {3.696589401017428*^9, 
  3.696589402109435*^9}, {3.6965894362268534`*^9, 3.696589438520068*^9}, {
  3.696589517174867*^9, 3.6965896311931953`*^9}, {3.696589851280406*^9, 
  3.696590031087158*^9}, {3.6965900617881556`*^9, 3.696590128041525*^9}}],

Cell[BoxData[{
 RowBox[{"Resultado", ":=", 
  RowBox[{
   RowBox[{"FullSimplify", "[", "Condici\[OAcute]ncompatibilidad", "]"}], 
   "\[Equal]", "0"}]}], "\[IndentingNewLine]", "Resultado"}], "Input",
 CellChangeTimes->{{3.685162548372692*^9, 3.6851626713715963`*^9}, {
   3.685163990569844*^9, 3.6851639988226137`*^9}, {3.6851642097918806`*^9, 
   3.6851642308840265`*^9}, {3.6851642679675455`*^9, 3.68516431604767*^9}, {
   3.6911595471442747`*^9, 3.691159568266945*^9}, {3.6911604468658133`*^9, 
   3.691160447521017*^9}, {3.6965893168392887`*^9, 3.696589326604951*^9}, 
   3.696589420813955*^9, {3.696589772515501*^9, 3.6965897824683647`*^9}}]
}, Closed]]
}, Open  ]]
},
WindowSize->{1600, 818},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.4 para Microsoft Windows (64-bit) (April 11, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1017, 22, 231, "Title"],
Cell[CellGroupData[{
Cell[1622, 48, 1058, 35, 164, "Section"],
Cell[2683, 85, 168, 4, 31, "Input"],
Cell[2854, 91, 1409, 39, 86, "Input"],
Cell[4266, 132, 381, 9, 31, "Input"],
Cell[4650, 143, 590, 15, 48, "Input"],
Cell[5243, 160, 560, 14, 48, "Input"],
Cell[5806, 176, 188, 5, 31, "Input"],
Cell[5997, 183, 888, 24, 48, "Input"],
Cell[6888, 209, 106, 1, 31, "Input"],
Cell[6997, 212, 1213, 21, 52, "Input"],
Cell[8213, 235, 1856, 49, 108, "Input"],
Cell[10072, 286, 754, 19, 108, "Input"],
Cell[10829, 307, 1537, 37, 70, "Input"],
Cell[12369, 346, 412, 9, 31, "Input"],
Cell[12784, 357, 1751, 45, 124, "Input"],
Cell[14538, 404, 1377, 39, 86, "Input"],
Cell[15918, 445, 788, 22, 48, "Input"],
Cell[16709, 469, 111, 1, 31, "Input"],
Cell[16823, 472, 608, 16, 31, "Input"],
Cell[17434, 490, 567, 13, 70, "Input"],
Cell[18004, 505, 528, 10, 52, "Input"],
Cell[18535, 517, 674, 14, 52, "Input"],
Cell[19212, 533, 508, 9, 70, "Input"],
Cell[19723, 544, 746, 16, 31, "Input"],
Cell[20472, 562, 443, 9, 70, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[20952, 576, 1295, 37, 150, "Section"],
Cell[22250, 615, 236, 5, 31, "Input"],
Cell[22489, 622, 1851, 51, 86, "Input"],
Cell[24343, 675, 372, 9, 31, "Input"],
Cell[24718, 686, 643, 16, 48, "Input"],
Cell[25364, 704, 615, 15, 48, "Input"],
Cell[25982, 721, 230, 6, 31, "Input"],
Cell[26215, 729, 383, 7, 48, "Input"],
Cell[26601, 738, 106, 1, 31, "Input"],
Cell[26710, 741, 718, 18, 31, "Input"],
Cell[27431, 761, 615, 13, 70, "Input"],
Cell[28049, 776, 628, 11, 52, "Input"],
Cell[28680, 789, 663, 13, 31, "Input"],
Cell[29346, 804, 627, 11, 70, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[30010, 820, 1406, 39, 109, "Section"],
Cell[31419, 861, 168, 4, 31, "Input"],
Cell[31590, 867, 1853, 50, 86, "Input"],
Cell[33446, 919, 343, 9, 31, "Input"],
Cell[33792, 930, 673, 16, 48, "Input"],
Cell[34468, 948, 617, 15, 48, "Input"],
Cell[35088, 965, 230, 6, 31, "Input"],
Cell[35321, 973, 395, 7, 48, "Input"],
Cell[35719, 982, 106, 1, 31, "Input"],
Cell[35828, 985, 712, 18, 31, "Input"],
Cell[36543, 1005, 615, 13, 70, "Input"],
Cell[37161, 1020, 525, 10, 52, "Input"],
Cell[37689, 1032, 1479, 25, 72, "Input"],
Cell[39171, 1059, 647, 10, 70, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)

