(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.4' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18585,        509]
NotebookOptionsPosition[     18269,        493]
NotebookOutlinePosition[     18614,        508]
CellTagsIndexPosition[     18571,        505]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Beatriz G\[OAcute]mez G\[OAcute]mez
Resoluci\[OAcute]n num\[EAcute]rica de la ecuaci\[OAcute]n Korteweg-de  Vries \
o KdV\
\>", "Title",
 CellChangeTimes->{{3.696597516005288*^9, 3.696597544647439*^9}, {
  3.697267185186901*^9, 3.697267220272733*^9}}],

Cell[BoxData[{
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"t1", "=", 
    RowBox[{"TimeUsed", "[", "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Inicializamos", " ", "el", " ", "contador", " ", "de", " ", "tiempo", " ",
     "para", " ", "saber", " ", "cuanto", " ", "tiempo", " ", "tarda", " ", 
    "el", " ", "programa", " ", "en", " ", 
    RowBox[{"ejecutarse", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Creamos", " ", "la", " ", "malla", " ", "con", " ", "la", " ", "que", " ",
     "vamos", " ", "a", " ", 
    RowBox[{"trabajar", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"NN", "=", "256"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Tomamos", " ", "este", " ", "valor", " ", "como", " ", "n\[UAcute]mero", 
    " ", "de", " ", "divisiones", " ", "de", " ", "la", " ", 
    RowBox[{"malla", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalDelta]t", "=", 
    RowBox[{"5", "*", 
     RowBox[{"10", "^", 
      RowBox[{"(", 
       RowBox[{"-", "6"}], ")"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Elegimos", " ", "este", " ", "valor", " ", "para", " ", "cada", " ", 
    "paso", " ", "en", " ", "el", " ", 
    RowBox[{"tiempo", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"L", "=", 
    RowBox[{"2", " ", "Pi"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Definimos", " ", "el", " ", "espacio", " ", "en", " ", "el", " ", 
    RowBox[{
     RowBox[{"intervalo", " ", "[", 
      RowBox[{
       RowBox[{"-", "Pi"}], ",", "Pi"}], "]"}], "."}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalDelta]x", "=", 
    RowBox[{"L", "/", "NN"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Definimos", " ", "este", " ", "valor", " ", "como", " ", "incremento", 
    " ", "de", " ", 
    RowBox[{"x", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Tomamos", " ", "las", " ", "siguientes", " ", "condiciones", " ", 
    "iniciales"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c1", "=", 
    RowBox[{"25", "^", "2"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Velocidad", " ", "de", " ", "la", " ", "primera", " ", 
    RowBox[{"onda", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c2", "=", 
    RowBox[{"16", "^", "2"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Velocidad", " ", "de", " ", "la", " ", "segunda", " ", 
    RowBox[{"onda", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x1", "=", 
    RowBox[{"-", "2"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Posici\[OAcute]n", " ", "inicial", " ", "de", " ", "la", " ", "primera", 
    " ", "onda"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x2", "=", 
    RowBox[{"-", "1"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Posici\[OAcute]n", " ", "inicial", " ", "de", " ", "la", " ", "segunda", 
    " ", "onda"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Suma", " ", "de", " ", "dos", " ", "soluciones", " ", "exactas", " ", 
     "de", " ", "la", " ", "ecuaci\[OAcute]n", " ", "de", " ", "Korteweg"}], 
    "-", 
    RowBox[{"de", " ", 
     RowBox[{"Vries", "."}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"u0", "[", "x_", "]"}], ":=", 
    RowBox[{
     RowBox[{"3", "*", "c1", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Sech", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sqrt", "[", "c1", "]"}], "/", "2"}], " ", "*", " ", 
          RowBox[{"(", 
           RowBox[{"x", "-", "x1"}], ")"}]}], "]"}], ")"}], "^", "2"}]}], "+", 
     RowBox[{"3", "*", "c2", "*", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"Sech", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sqrt", "[", "c2", "]"}], "/", "2"}], " ", "*", " ", 
          RowBox[{"(", 
           RowBox[{"x", "-", "x2"}], ")"}]}], "]"}], ")"}], "^", "2"}]}]}]}], 
   ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Definimos", " ", "cada", " ", "x", " ", "en", " ", "el", " ", "que", " ", 
    "vamos", " ", "a", " ", 
    RowBox[{"trabajar", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"x", "=", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{
          RowBox[{"-", "NN"}], "/", "2"}], ",", 
         RowBox[{
          RowBox[{"NN", "/", "2"}], "-", "1"}]}], "}"}]}], "]"}], "*", 
     RowBox[{"(", 
      RowBox[{"L", "/", "NN"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Definimos", " ", "valores", " ", "que", " ", "posteriormente", " ", 
    "necesitaremos", " ", "para", " ", "resolver", " ", "la", " ", "EDP", " ",
     "usando", " ", "el", " ", "m\[EAcute]todo", " ", "de", " ", "la", " ", 
    "transformada", " ", "r\[AAcute]pida", " ", "de", " ", "Fourier", " ", 
    "\[IndentingNewLine]", "y", " ", "las", " ", "EDOs", " ", "mediante", " ",
     "el", " ", "m\[EAcute]todo", " ", "de", " ", "Runge", " ", "Kutta", "  ",
     "de", " ", "cuatro", " ", 
    RowBox[{"etapas", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u", "=", 
    RowBox[{"u0", "[", "x", "]"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Hacemos", " ", "uso", " ", "de", " ", "la", " ", "Transformada", " ", 
    "r\[AAcute]pida", " ", "de", " ", 
    RowBox[{"Fourier", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v", "=", 
   RowBox[{"Fourier", "[", 
    RowBox[{"u", ",", 
     RowBox[{"FourierParameters", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", 
        RowBox[{"-", "1"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", 
   RowBox[{"Join", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0", ",", 
         RowBox[{
          RowBox[{"NN", "/", "2"}], "-", "1"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"{", "0", "}"}], ",", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "NN"}], "/", "2"}], "+", "1"}], ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ik3", "=", 
   RowBox[{"I", "*", 
    RowBox[{"k", "^", "3"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"tmax", "=", "0.006"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Definimos", " ", "el", " ", "valor", " ", "nplt"}], "=", 
    RowBox[{
    "10", " ", "que", " ", "indica", " ", "la", " ", "cantidad", " ", "de", 
     " ", "subdiviones", " ", "de", " ", "la", " ", 
     RowBox[{"malla", "."}]}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nplt", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"nmax", "=", 
    RowBox[{"Round", "[", 
     RowBox[{"tmax", "/", "\[CapitalDelta]t"}], "]"}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "Iteraciones", " ", "necesarias", " ", "para", " ", "alcanzar", " ", "el", 
    " ", "valor", " ", 
    RowBox[{"tmax", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"udata", "=", 
   RowBox[{"{", "u", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tdata", "=", 
    RowBox[{"{", "0", "}"}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Resolvemos", " ", "la", " ", "EDP", " ", "mediante", " ", "el", " ", 
    "m\[EAcute]todo", " ", "de", " ", "la", " ", "transformada", " ", 
    "r\[AAcute]pida", " ", "de", " ", "Fourier", " ", "y", " ", "las", " ", 
    "EDOs", " ", "a", " ", "trav\[EAcute]s", " ", "del", " ", 
    "m\[EAcute]todo", " ", "Runge", " ", "Kutta", " ", "de", " ", "orden", 
    " ", 
    RowBox[{"cuatro", "."}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"n", "=", "1"}], ",", 
    RowBox[{"n", "\[LessEqual]", " ", "nmax"}], ",", 
    RowBox[{"n", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"t", "=", 
      RowBox[{"n", "*", "\[CapitalDelta]t"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"g", "=", 
      RowBox[{
       RowBox[{"-", "I"}], "*", "\[CapitalDelta]t", "*", 
       RowBox[{"k", "/", "2"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"E1", "=", 
      RowBox[{"Exp", "[", 
       RowBox[{"\[CapitalDelta]t", "*", 
        RowBox[{"ik3", "/", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"E2", "=", 
      RowBox[{"E1", "^", "2"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"a", "=", 
      RowBox[{"g", "*", 
       RowBox[{"Fourier", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Re", "[", 
           RowBox[{"InverseFourier", "[", 
            RowBox[{"v", ",", 
             RowBox[{"FourierParameters", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "1"}]}], "}"}]}]}], "]"}], "]"}], "^", "2"}], 
         ",", 
         RowBox[{"FourierParameters", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "1"}]}], "}"}]}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"b", "=", 
      RowBox[{"g", "*", 
       RowBox[{"Fourier", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Re", "[", 
           RowBox[{"InverseFourier", "[", 
            RowBox[{
             RowBox[{"E1", "*", 
              RowBox[{"(", 
               RowBox[{"v", "+", 
                RowBox[{"a", "/", "2"}]}], ")"}]}], ",", 
             RowBox[{"FourierParameters", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "1"}]}], "}"}]}]}], "]"}], "]"}], "^", "2"}], 
         ",", 
         RowBox[{"FourierParameters", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "1"}]}], "}"}]}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"c", "=", 
      RowBox[{"g", "*", 
       RowBox[{"Fourier", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Re", "[", 
           RowBox[{"InverseFourier", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"E1", "*", "v"}], "+", 
              RowBox[{"b", "/", "2"}]}], ",", 
             RowBox[{"FourierParameters", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "1"}]}], "}"}]}]}], "]"}], "]"}], "^", "2"}], 
         ",", 
         RowBox[{"FourierParameters", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "1"}]}], "}"}]}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d", "=", 
      RowBox[{"g", "*", 
       RowBox[{"Fourier", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Re", "[", 
           RowBox[{"InverseFourier", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"E2", "*", "v"}], "+", 
              RowBox[{"E1", "*", "c"}]}], ",", 
             RowBox[{"FourierParameters", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"-", "1"}]}], "}"}]}]}], "]"}], "]"}], "^", "2"}], 
         ",", 
         RowBox[{"FourierParameters", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", ",", 
            RowBox[{"-", "1"}]}], "}"}]}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{
       RowBox[{"E2", "*", "v"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"E2", "*", "a"}], "+", 
          RowBox[{"2", "*", "E1", "*", 
           RowBox[{"(", 
            RowBox[{"b", "+", "c"}], ")"}]}], "+", "d"}], ")"}], "/", 
        "6"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Mod", "[", 
         RowBox[{"n", ",", "nplt"}], "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{"u", "=", 
         RowBox[{"Re", "[", 
          RowBox[{"InverseFourier", "[", 
           RowBox[{"v", ",", 
            RowBox[{"FourierParameters", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"1", ",", 
               RowBox[{"-", "1"}]}], "}"}]}]}], "]"}], "]"}]}], ";", 
        RowBox[{"udata", "=", 
         RowBox[{"Append", "[", 
          RowBox[{"udata", ",", "u"}], "]"}]}], ";", 
        RowBox[{"tdata", "=", 
         RowBox[{"Append", "[", 
          RowBox[{"tdata", ",", "t"}], "]"}]}]}]}], "]"}], ";"}]}], 
   "\[IndentingNewLine]", "]"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{"Representacion", " ", "en", " ", "3", 
    RowBox[{"D", "."}]}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"Data3D", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"\[CapitalDelta]x", "*", "j"}], "-", "Pi"}], ",", "0", ",", 
       RowBox[{"udata", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "j"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "NN"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{"Data3D", "=", 
     RowBox[{"Join", "[", 
      RowBox[{"Data3D", ",", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"\[CapitalDelta]x", "*", "j"}], "-", "Pi"}], ",", 
           RowBox[{"\[CapitalDelta]t", "*", "k", "*", "nplt"}], ",", 
           RowBox[{"udata", "[", 
            RowBox[{"[", 
             RowBox[{"k", ",", "j"}], "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "NN"}], "}"}]}], "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", 
      RowBox[{"Length", "[", "udata", "]"}]}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot3D", "[", 
   RowBox[{"Data3D", ",", 
    RowBox[{"PlotRange", "\[Rule]", " ", "All"}], ",", 
    RowBox[{"Mesh", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"0", ",", "40"}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Espacio - x\>\"", ",", "\"\<Tiempo - t\>\"", ",", 
       "\"\<    KdV - u\>\""}], "}"}]}]}], "]"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Volvemos", " ", "a", " ", "hacer", " ", "uso", " ", "del", " ", 
    "contador", " ", "de", " ", 
    RowBox[{"tiempo", "."}]}], " ", "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"t2", "=", 
    RowBox[{"TimeUsed", "[", "]"}]}], ";"}], "\n", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Realizamso", " ", "la", " ", "diferencia", " ", "de", " ", "los", " ", 
    "valores", " ", "obtenidos", " ", "mediante", " ", "los", " ", 
    "contadores", " ", "de", " ", "tiempo", " ", "para", " ", "saber", " ", 
    "el", " ", "tiempo", " ", "de", " ", "ejecuci\[OAcute]n", " ", "del", " ", 
    RowBox[{"programa", "."}]}], " ", "*)"}]}], "\n", 
 RowBox[{"t2", "-", "t1"}]}], "Input",
 CellChangeTimes->{{3.63489910950838*^9, 3.634899357580015*^9}, {
   3.6348993896536713`*^9, 3.634899398935688*^9}, {3.634899439542559*^9, 
   3.6348996186308737`*^9}, 3.6349000021575475`*^9, 3.6349000385680113`*^9, {
   3.6349825104333763`*^9, 3.6349825183425765`*^9}, {3.6349833844742937`*^9, 
   3.6349834074844413`*^9}, {3.6349984820283055`*^9, 
   3.6349984893915186`*^9}, {3.666523471066956*^9, 3.6665234788202057`*^9}, {
   3.666523518241658*^9, 3.66652352626011*^9}, 3.666523558770718*^9, {
   3.66652387885647*^9, 3.666523882536838*^9}, 3.6665244981086226`*^9, {
   3.6900960352368717`*^9, 3.690096091568472*^9}, {3.690096571791872*^9, 
   3.6900965821188717`*^9}, {3.690096764027872*^9, 3.6900967706508718`*^9}, {
   3.6900968286648717`*^9, 3.690096843589472*^9}, 3.691130125115977*^9, {
   3.6911301822648973`*^9, 3.6911303121103563`*^9}, {3.691130498646001*^9, 
   3.691130638568612*^9}, {3.691130713723483*^9, 3.691130793402876*^9}, {
   3.6911308568553963`*^9, 3.6911309718360696`*^9}, {3.69113106564368*^9, 
   3.6911311697332177`*^9}, {3.691131248888991*^9, 3.6911312497157965`*^9}, {
   3.691131299916918*^9, 3.691131311632593*^9}, {3.6911313837840557`*^9, 
   3.6911314107410283`*^9}, {3.6911314556693163`*^9, 
   3.6911315354794283`*^9}, {3.6911316089090986`*^9, 
   3.6911317740839577`*^9}, {3.691132108145499*^9, 3.691132136865283*^9}, 
   3.691132473126439*^9, {3.6935514359774485`*^9, 3.6935514454935093`*^9}, {
   3.693551476132106*^9, 3.6935514811865387`*^9}, {3.6965880137413335`*^9, 
   3.696588046127141*^9}, {3.69658813807413*^9, 3.696588144033369*^9}, {
   3.6965974339945107`*^9, 3.6965975112003956`*^9}, {3.696847727896448*^9, 
   3.696847751421248*^9}, {3.696847815084848*^9, 3.696847868717648*^9}, {
   3.696847899855248*^9, 3.696847927436048*^9}, {3.696848715158448*^9, 
   3.6968487393228483`*^9}, {3.696850063941291*^9, 3.6968500663908205`*^9}, {
   3.6968511434976244`*^9, 3.696851171020258*^9}, {3.696947214368746*^9, 
   3.6969472207969756`*^9}}]
}, Open  ]]
},
WindowSize->{1600, 818},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.4 para Microsoft Windows (64-bit) (April 11, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 261, 6, 166, "Title"],
Cell[844, 30, 17409, 460, 1390, "Input"]
}, Open  ]]
}
]
*)

